#
# spec file for package soxr
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libsoxr0
%define lname_lsr libsoxr-lsr0
Name:           soxr
Version:        0.1.1
Release:        5.1
Summary:        The SoX Resampler library
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://soxr.sourceforge.net/
Source:         http://downloads.sf.net/%{name}/%{name}-%{version}-Source.tar.xz#/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkg-config

%description
The SoX Resampler library performs one-dimensional sample-rate
conversion – it may be used, for example, to resample PCM-encoded
audio.

%package -n %{lname}
Summary:        The SoX Resampler library
Group:          System/Libraries

%description -n %{lname}
The SoX Resampler library performs one-dimensional sample-rate
conversion – it may be used, for example, to resample PCM-encoded
audio.

%package -n %{lname_lsr}
Summary:        Compatibility layer with libsamplerate
Group:          System/Libraries

%description -n %{lname_lsr}
soxr libsamplerate API compatibility layer (to some extent).

%package devel
Summary:        Development files of soxr
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}
Requires:       %{lname_lsr} = %{version}

%description devel
The soxr development package includes the header files,
libraries, development tools necessary for compiling and linking
application which will use libsoxr/libsoxr-lsr.

%prep
%setup -q -n %{name}-%{version}-Source

%build
%cmake \
  -DDOC_INSTALL_DIR=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
%cmake_install

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%post -n %{lname_lsr} -p /sbin/ldconfig

%postun -n %{lname_lsr} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc AUTHORS COPYING.LGPL LICENCE NEWS
%{_libdir}/libsoxr.so.*

%files -n %{lname_lsr}
%defattr(-,root,root)
%doc AUTHORS COPYING.LGPL LICENCE NEWS
%{_libdir}/libsoxr-lsr.so.*

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}/
%{_includedir}/soxr*.h
%{_libdir}/libsoxr*.so
%{_libdir}/pkgconfig/soxr*.pc

%changelog
* Tue Apr 28 2015 sor.alexei@meowr.ru
- Initial package.
